@import url('https://fonts.googleapis.com/css2?family=Oooh+Baby&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: 'Playwrite NZ';
}

/* Main Menu display */
body {
    background-color: #dcccc9;
    color: #56423e;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.menuContainer {
    display: flex;
    width: 80%;
    align-items: center;
    justify-content: space-evenly;
    position: relative;
    margin: 30px;
}
.menu li {
    list-style: none;
    margin: 20px;
}
.menu li a {
    text-decoration: none;
    padding: 20px;
    font-size: larger;
    color: #650000;
}
.menu li::after {
    content: '';
    width: 0%;
    height: 4px;
    background-color: #E8D1C5;
    display: block;
    margin: auto;
    transition: 0.5s;
}
.menu li:hover::after {
    width: 50%;   
}

.header {
    min-height: 100px;
    width: 100%;
    position: relative;
}

nav {
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: centre;
}
.nav-links {
    flex: 1;
    text-align: right;
}
.nav-links a {
    text-decoration: none;
    color: #650000;
}
.nav-links ul li {
    list-style: none;
    display: inline-block;
    padding: 15px 15px;
    position: relative;
    border-left: 2px solid #650000;
}
.nav-links ul li::after {
    content: '';
    width: 0%;
    height: 2px;
    background-color: #E8D1C5;
    display: block;
    margin: auto;
    transition: 0.5s;
}
.nav-links ul li:hover::after {
    width: 100%;   
}

.box {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    padding: 20px 50px;
}
.box img {
    height: 30vh;
    border-radius: 2%;
}
.boxShadow {
    margin: 50px 50px;
    border-radius: 40px;
    background: #dcccc9;
    box-shadow:     -50px -50px 100px #d3c4c1,
                    50px 50px 100px #e5d4d1;
}


/*when window is less that 800px, divs will display as columns not rows*/
@media (max-width: 800px) {
    .box{
      flex-direction: column;
    }
    
    .dropdown:hover .dropdown-options{
        display: flex;
        flex-direction: column;
    }
}

.skillsList ul li {
    text-align: left;
    list-style: none;
    line-height:40px;
}
.skillsList ul li li {
    padding-left: 20px;
    line-height:40px;
}
.skills {
    display: flex;
    align-items: center;
    justify-content: center;
    justify-content: space-evenly;
}

.contact {
    width: 500px;
    text-align: center;
}

label{
    display: block;
    padding-top: 30px;
}

.moduleTable {
    display: grid;
    grid-template-columns: auto auto;
    background-color: #fdeae7;
    gap: 10px;
    width: 60vh;
    margin-top: 15px;
    border: solid 10px #fdeae7;
}
.moduleTable div {
    background-color: #ffffff;
    text-align: center;
    padding: 5px;
    min-height: 60px;
}

.dropdown {
    text-align: center;
    position: absolute;
}
.dropdown a {
    text-decoration: none;
    color: #650000;
}
.dropdown-options {
    display: none;
    position: absolute;
    background-color: #E8D1C5;
    margin-top: 18px;
}
.dropdown-options a {
    color: #ffffff;
    padding: 15px 15px;
    text-decoration: none;
}
.dropdown-options a:hover {
    text-decoration: underline;
}
.dropdown:hover .dropdown-options{
    display: flex;
    right: 0;
}

.timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
}
/* vertical line */
.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: #E8D1C5;
    top: 0;
    bottom: 0;
    left: 10%;
    margin-left: -3px;
}
.container {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;
    left: 10%;
}
/* little flag attaching content to line*/
.container::after {
    content: '';
    position: absolute;
    width: 60px;
    height: 20px;
    left: 4px;
    background-color: #F0EFEB;
    top: 10px;
    border-radius: 5%;
    z-index: 1;
}
.content {
    padding: 20px 0px 20px 60px;
    background-color: #F0EFEB;
    position: relative;
    border-radius: 5px;
    text-align: left;
}

/* Back to top button styling */
#scrollTop {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px;
    background-color: #650000;
    color: white;
    border-radius: 5px;
}

button {
    background-color: #650000;
    height: 35px;
    width: 120px;
    color: #ffffff;
    font-size: 15px;
}

button:hover {
    background-color: #fdeae7;
    color: #650000;
}

#scrollTop:hover {
    background-color: #fdeae7;
    color: #650000;
}

